libquicktime: Audio

# Audio

Audio related definitions and functions. More...

## Modules
| Audio decoding
| Audio related definitions and functions (reading).

| Audio encoding
| Audio related definitions and functions (writing).

| Multichannel support
## Enumerations
enum | lqt_sample_format_t { LQT_SAMPLE_UNDEFINED = 0, LQT_SAMPLE_INT8, LQT_SAMPLE_UINT8, LQT_SAMPLE_INT16, LQT_SAMPLE_INT32, LQT_SAMPLE_FLOAT, LQT_SAMPLE_DOUBLE }
| Sample format definitions for audio. More...
## Functions
void | lqt_set_audio_parameter (quicktime_t *file, int track, const char *key, const void *value)
| Set a codec parameter for an audio track.
const char * | lqt_sample_format_to_string (lqt_sample_format_t sampleformat)
| Get a human readable description for a sample format.
lqt_sample_format_t | lqt_get_sample_format (quicktime_t *file, int track)
| Return the sample format used natively by the codec.

## Detailed Description

Audio related definitions and functions.

## Enumeration Type Documentation

enum lqt_sample_format_t

Sample format definitions for audio.

This defines the datatype for audio samples, which will be used by a particular codec. You'll need this, if you want to use lqt_decode_audio_raw or lqt_encode_audio_raw . Byte order of the data is always machine native. Endianess conversion is responsibility of the codec.

Enumerator:

  LQT_SAMPLE_UNDEFINED | If this is returned, we have an error
  LQT_SAMPLE_INT8 | int8_t
  LQT_SAMPLE_UINT8 | uint8_t
  LQT_SAMPLE_INT16 | int16_t
  LQT_SAMPLE_INT32 | int32_t
  LQT_SAMPLE_FLOAT | Float (machine native)
  LQT_SAMPLE_DOUBLE | Double (machine native, since version 1.0.3)

## Function Documentation

void lqt_set_audio_parameter | ( | quicktime_t * | file,
|  | int | track,
|  | const char * | key,
|  | const void * | value |
| ) |  |  |

Set a codec parameter for an audio track.

Parameters:

  | file | A quicktime handle
  | track | Track index (starting with 0)
  | key | Short name of the parameter
  | value | Parameter value.

For integer parameters, value must be of the type int*. For string parameters, use char*. For floating-point parameters, use float*.

const char* lqt_sample_format_to_string | ( | lqt_sample_format_t | sampleformat | ) |

Get a human readable description for a sample format.

Parameters:

  | sampleformat | A sampleformat

Returns:
  The description or NULL

lqt_sample_format_t lqt_get_sample_format | ( | quicktime_t * | file,
|  | int | track |
| ) |  |  |

Return the sample format used natively by the codec.

Parameters:

  | file | A quicktime handle
  | track | Track index (starting with 0)

Returns:
  The sampleformat

Use this function if you want to use lqt_decode_audio_raw or lqt_encode_audio_raw to bypass libquicktimes internal sample format conversion routines.

*Note* Some codecs call